﻿<%@ Page Language="C#" %>
<%@ Register TagPrefix="my" Namespace="MyControls" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1">
            <LayoutTemplate>
                <table>
                    <thead>
                        <tr>
                            <th>ProductID</th>
                            <th>ProductName</th>
                            <th>UnitPrice</th>
                        </tr>
                    </thead>
                    <tbody>
                        <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
                    </tbody>
                    <tfoot>
                        <tr>
                            <td colspan="3">
                                <div style="float: left">
                                    <asp:HyperLink ID="LinkFirst" runat="server" Text="<< first" />
                                    <asp:HyperLink ID="LinkPrevious" runat="server" Text="< previous" />
                                </div>
                                <div style="float: right">
                                    <asp:HyperLink ID="LinkNext" runat="server" Text="next >" />
                                    <asp:HyperLink ID="LinkLast" runat="server" Text="last >>" />
                                </div>
                            </td>
                        </tr>
                    </tfoot>
            </LayoutTemplate>
            <ItemTemplate>
                <tr>
                    <td>
                        <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                    </td>
                    <td>
                        <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:ListView>
        <my:DataPagerExtender ID="DPE1" runat="server" TargetControlID="ListView1" PageIndexSource="QueryString" CollectionKey="Page" FirstLinkID="LinkFirst" LastLinkID="LinkLast" NextLinkID="LinkNext" PreviousLinkID="LinkPrevious" />
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" ContextTypeName="NorthwindDataContext" OrderBy="ProductName" Select="new (ProductID, ProductName, UnitPrice)" TableName="Products"></asp:LinqDataSource>
    </div>
    </form>
</body>
</html>
